#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Blue
#property indicator_color2 Red
//---- input parameters
extern int period=14;
extern bool   EnableVisualAlert    = True;
extern bool   EnableEmailAlert     = False;
//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
double alertTag;
static datetime emailTag = D'1980.01.01';

double b4plusdi,b4minusdi,nowplusdi,nowminusdi;

//+------------------------------------------------------------------+
//| Custom indicator initialization function |
//+------------------------------------------------------------------+
int init()
{
//---- indicators
SetIndexStyle(0,DRAW_ARROW,EMPTY,1);
SetIndexArrow(0,233);
SetIndexBuffer(0, ExtMapBuffer1);

SetIndexStyle(1,DRAW_ARROW,EMPTY,1);
SetIndexArrow(1,234);
SetIndexBuffer(1, ExtMapBuffer2);
//----
return(0);
}
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function |
//+------------------------------------------------------------------+
int deinit()
{
//---- TODO: add your code here

//ObjectDelete(1, DRAW_ARROW,0,0,0);
//ObjectDelete(2, DRAW_ARROW,0,0,0);

//----

}
//+------------------------------------------------------------------+
//| Custom indicator iteration function |
//+------------------------------------------------------------------+
int start()
{
int limit;
int counted_bars=IndicatorCounted();
//---- check for possible errors
if(counted_bars<0) return(-1);

//---- last counted bar will be recounted
if(counted_bars>0) counted_bars--;
limit=500;
//---- macd counted in the 1-st buffer

 for(int i=limit; i>=0; i--)
{
   b4plusdi=iCustom(NULL,0,"solar wind mod1",1,i+1);
   nowplusdi=iCustom(NULL,0,"solar wind mod1",1,i);
   
   b4minusdi=iCustom(NULL,0,"solar wind mod1",2,i+1);
   nowminusdi=iCustom(NULL,0,"solar wind mod1",2,i);
    //Comment(nowplusdi," ",nowminusdi);
 
 
 
 
 if(nowplusdi>0&& b4plusdi==0)
        {
            ExtMapBuffer1[i]=Low[i]-1*Point;
             if((i<1) && EnableVisualAlert==true && alertTag!=Time[0]){Alert("BUY",(" "),Symbol(),(" "),Period());alertTag = Time[0];}
             if((i<1) && EnableEmailAlert==true && emailTag != Time[0])
             {SendMail("Solar alert signal!","BUY " + (StringConcatenate(Symbol()," ",(Period()))));emailTag = Time[0];}
              
        
           // if((i<1) && EnableEmailAlert==true && emailTag != Time[0]){SendMail("SELL",("  "),Symbol(),(" "),Period());emailTag = Time[0];}
           
              //SendMail("SELL",Symbol(),(" "),Period());
                      
         }            
 if(nowminusdi<0 && b4minusdi==0)
        {
            ExtMapBuffer2[i]=High[i]+1*Point;
          if ((i<1) && EnableVisualAlert==true && alertTag!=Time[0]){Alert("SELL",(" "),Symbol(),(" "),Period());alertTag = Time[0];}
          if((i<1) && EnableEmailAlert==true && emailTag != Time[0])
             {SendMail("Solar alert signal!","SELL" + (StringConcatenate(Symbol()," ",(Period()))));emailTag = Time[0];}
         }
}
//----
return(0);
}

